#ifndef _GENOTYPE_INFERRER_H
#define _GENOTYPE_INFERRER_H

#include "Pedigree.h"
#include "IBDTable.h"

struct GenotypeInferrer {

	/** This contains the known genotype data; genotypes will be added. */
	Pedigree &ped;

	/** Stores IBD information. */
	IBDTable &ibd;

	/** Constructor. */
	GenotypeInferrer(Pedigree &ped, IBDTable &ibd);
	
	/** Infers some of the children's genotypes.
		These will be filled into the pedigree. */
	void inferGenotypes();

private:

	/** The person we're inferring genotypes for, and the
		parents and grandparents of that person. */
	Person *p, *father, *mother, *pgf, *pgm, *mgf, *mgm;

	void inferGenotypes(Person *p);

	void inferGenotype(Marker &m);

	short inferAllele(Marker &m,
		Person *grandmother, Person *grandfather, Person *parent);
};

#endif
