#ifndef _MARKER_H
#define _MARKER_H

#include <iostream>
#include <vector>

#include "Marker.h"

using namespace std;

/** Information about a marker.  It's tempting to omit "chrom" and "loc",
	but for now I'm leaving those in. */
struct Marker {

  /** Marker id. */
  string id;

  /** Chromosome location. */
  string chrom;

  /** Location in millionths of a Centimorgan, or bp. */
  int loc;

	/** Index of this marker's genotype in each person's genotype field. */
	int genotypeIndex;

	/** Default constructor. */
	Marker() {}

  /** Constructor. */
  Marker(istream &is, int _genotypeIndex);
};

#endif

