#ifndef _PERSON_H
#define _PERSON_H

#include <iostream>
#include <vector>

#include "Genotype.h"

using namespace std;

struct Person {

  /** The family ID. */
  string family;

  /** The individual ID; should be unique within a family. */
  string id;

  /** Sex (1 = male, 2 = female) */
  int sex;

  /** Parent pointers. */
  Person *father;
  Person *mother;

  /** The genotypes. */
  vector<Genotype> genotype;

  /** The phenotype data; unused so far. 
  vector<double> phenotype; */

	Person() {}

  /** Constructor reads one line from an istream.  Possibly a bit deprecated. */
  Person(istream &is);
};

#endif

